import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/Bizmundo/49eb16ac07fab3975d590e5f98971ae6/raw/7d5ab7fae3229276087bbea57a564cb599f17aa4/salaries.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d[""] = +d[""];
      d['yrs.since.phd'] = +d['yrs.since.phd'];
      d['yrs.service'] = +d['yrs.service'];
      d['salary'] = +d['salary'];
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  
  return data;
};